
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ************************************************************************* */

#ifndef XSLDBGDOC
#define XSLDBGDOC

#include <QString>

class XsldbgDoc {
 public:
  XsldbgDoc();
  XsldbgDoc(const QString &fileName, const QString &text);
  ~XsldbgDoc();

  QString getText() const;
  QString getFileName() const;

  void setRow(int row);
  int getRow();
  void setColumn(int column);
  int getColumn();

 private:
  QString text;
  QString fileName;
  int row, column;

};

#endif
